Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
WxPandaShell Class Reference
Inheritance diagram for WxPandaShell:

## Public Member Functions
| __init__ (self, fStartDirect=False)
| appInit (self)
| createInterface (self)
| createMenu (self)
| getCurrentView (self)
| initialize (self)
| onViewChange (self, evt, viewIdx)
| wxStep (self, task=None)
Public Member Functions inherited from WxAppShell
| __init__ (self, *args, **kw)
| createMenuBar (self)
| onDestroy (self, event)
| quit (self, event=None)
| showAbout (self, event)

## Public Attributes
| baseFrame = wx.SplitterWindow(self.mainFrame, style = wx.SP_3D | wx.SP_BORDER)
| currentView = None
| evtLoop = wx.EventLoop()
| frontView = Viewport.makeFront(self.viewFrame)
| fStartDirect = fStartDirect or fDirect
| leftBarDownPane = wx.Panel(self.leftFrame)
| leftBarUpPane = wx.Panel(self.leftFrame)
| leftFrame = wx.SplitterWindow(self.mainFrame, style = wx.SP_3D | wx.SP_BORDER)
| leftView = Viewport.makeLeft(self.viewFrame)
| mainFrame = wx.SplitterWindow(self, style = wx.SP_3D | wx.SP_BORDER)
| menuView = wx.Menu()
| oldLoop = wx.EventLoop.GetActive()
| perspView = Viewport.makePerspective(self.viewFrame)
| perspViewMenuItem = self.menuView.AppendRadioItem(ID_PERSP_VIEW, self.MENU_TEXTS[ID_PERSP_VIEW][0])
| rightBarDownPane = wx.Panel(self.rightFrame)
| rightBarUpPane = wx.Panel(self.rightFrame)
| rightFrame = wx.SplitterWindow(self.baseFrame, style = wx.SP_3D | wx.SP_BORDER)
| topView = Viewport.makeTop(self.viewFrame)
| viewFrame = FWS.FourWaySplitter(self.baseFrame, style=wx.SP_LIVE_UPDATE)
| wxApp = wx.App(redirect = False)
| wxStep
Public Attributes inherited from WxAppShell
| about
| menuBar = wx.MenuBar()
| menuFile = wx.Menu()
| menuHelp = wx.Menu()
| quit = self.menuFile.Append(wx.ID_EXIT, "&Quit")
| showAbout = self.menuHelp.Append(wx.ID_ABOUT, "&About...")

## Static Public Attributes
dict | MENU_TEXTS
Static Public Attributes inherited from WxAppShell
str | appname = 'Generic Application Frame'
str | appversion = '1.0'
str | balloonState = 'none'
str | contactemail = 'Gyedo.Jeon@disney.com'
str | contactname = 'Gyedo Jeon'
tuple | copyright
int | frameHeight = 320
int | frameWidth = 450
int | padx = 5
int | pady = 5
int | panelCount = 0
int | usecommandarea = 0
int | usestatusarea = 0

## Additional Inherited Members
Protected Attributes inherited from WxAppShell
| _logWin = None

## Detailed Description

     Class for Panda3D LevelEditor

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | fStartDirect = False )

## Member Function Documentation

## ◆ appInit()

appInit | ( |  | self | ) |

    Overridden from WxAppShell.py.

Reimplemented from WxAppShell.

## ◆ createInterface()

createInterface | ( |  | self | ) |

Reimplemented from WxAppShell.

Reimplemented in LevelEditorUIBase.

## ◆ createMenu()

createMenu | ( |  | self | ) |

Reimplemented in LevelEditorUIBase.

## ◆ getCurrentView()

getCurrentView | ( |  | self | ) |

    Function for get the current Viewport

## ◆ initialize()

initialize | ( |  | self | ) |

    Initializes the viewports and editor.

## ◆ onViewChange()

onViewChange | ( |  | self,
|  |  | evt,
|  |  | viewIdx )

## ◆ wxStep()

wxStep | ( |  | self,
|  |  | task = None )

    A step in the WX event loop. You can either call this yourself or use as task.

## Member Data Documentation

## ◆ baseFrame

baseFrame = wx.SplitterWindow(self.mainFrame, style = wx.SP_3D | wx.SP_BORDER)

## ◆ currentView

currentView = None

## ◆ evtLoop

evtLoop = wx.EventLoop()

## ◆ frontView

frontView = Viewport.makeFront(self.viewFrame)

## ◆ fStartDirect

fStartDirect = fStartDirect or fDirect

## ◆ leftBarDownPane

leftBarDownPane = wx.Panel(self.leftFrame)

## ◆ leftBarUpPane

leftBarUpPane = wx.Panel(self.leftFrame)

## ◆ leftFrame

leftFrame = wx.SplitterWindow(self.mainFrame, style = wx.SP_3D | wx.SP_BORDER)

## ◆ leftView

leftView = Viewport.makeLeft(self.viewFrame)

## ◆ mainFrame

mainFrame = wx.SplitterWindow(self, style = wx.SP_3D | wx.SP_BORDER)

## ◆ MENU_TEXTS

dict MENU_TEXTS
| static

Initial value:
= {
ID_FOUR_VIEW : ("Four Views", None),
ID_TOP_VIEW : ("Top View", None),
ID_FRONT_VIEW : ("Front View", None),
ID_LEFT_VIEW : ("Left View", None),
ID_PERSP_VIEW : ("Persp View", None),
}

## ◆ menuView

menuView = wx.Menu()

## ◆ oldLoop

oldLoop = wx.EventLoop.GetActive()

## ◆ perspView

perspView = Viewport.makePerspective(self.viewFrame)

## ◆ perspViewMenuItem

perspViewMenuItem = self.menuView.AppendRadioItem(ID_PERSP_VIEW, self.MENU_TEXTS[ID_PERSP_VIEW][0])

## ◆ rightBarDownPane

rightBarDownPane = wx.Panel(self.rightFrame)

## ◆ rightBarUpPane

rightBarUpPane = wx.Panel(self.rightFrame)

## ◆ rightFrame

rightFrame = wx.SplitterWindow(self.baseFrame, style = wx.SP_3D | wx.SP_BORDER)

## ◆ topView

topView = Viewport.makeTop(self.viewFrame)

## ◆ viewFrame

viewFrame = FWS.FourWaySplitter(self.baseFrame, style=wx.SP_LIVE_UPDATE)

## ◆ wxApp

wxApp = wx.App(redirect = False)

## ◆ wxStep

wxStep